db-torque-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Rall <...@finemaltcoding.com>
Subject Re: 3.1 builds available
Date Wed, 03 Sep 2003 23:25:08 GMT
Ian Ragsdale wrote:
> Using the 3.1 build, when generating the om files, I get this error 
> (happened in rc1 as well):
> 
> Mon Sep 01 19:53:34 CDT 2003  [error] Error in evaluation of == 
> expression. Both arguments must be of the same Class. Currently left = 
> class java.lang.Boolean, right = class java.lang.String. 
> om/MapBuilder.vm [line 28, column 28] (ASTEQNode)
> 
> I was able to solve this problem by changing line 28 of MapBuilder.vm from:
> 
> #if ($generateDeprecated == "true")
> 
> to:
> 
> #if ($generateDeprecated == true)

Ian, thanks for the report.  I've committed the following change to CVS 
HEAD of db-torque:

Index: MapBuilder.vm
===================================================================
RCS file: /home/cvs/db-torque/src/generator/src/templates/om/MapBuilder.vm,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -u -r1.3 -r1.4
--- MapBuilder.vm       7 Aug 2003 13:13:00 -0000       1.3
+++ MapBuilder.vm       3 Sep 2003 23:24:05 -0000       1.4
@@ -25,7 +25,7 @@
      public static final String CLASS_NAME =
          "${package}.map.${table.JavaName}MapBuilder";

-#if ($generateDeprecated == "true")
+#if ($generateDeprecated)
      /**
       * Item
       * @deprecated use ${table.JavaName}Peer.TABLE_NAME constant



---------------------------------------------------------------------
To unsubscribe, e-mail: torque-dev-unsubscribe@db.apache.org
For additional commands, e-mail: torque-dev-help@db.apache.org


Mime
View raw message